## scipy 1.7.1

=== debian/changelog ===
scipy (1.7.1-1ubuntu1) jammy; urgency=medium

  * Do not build the python3-scipy-dbg package, see #994375

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 23 Oct 2021 14:38:19 +0000

scipy (1.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Drew Parsons ]
  * New upstream release
  * update upper-versioned Build-Depends
    - python3-numpy (<< 1.23.0) (see pyproject.toml)
    - python3-pybind11 (<< 2.8) (build is stable with pybind11 2.7)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Aug 2021 02:07:15 +0200

scipy (1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - deprecates debian patches css_font_OpenSans.patch and
      css_font_local.patch
  * Build with SCIPY_USE_PYTHRAN=0 since pythran is not yet available.
    pythran packaging requested in Bug#991143.
  * Build-Depends-Indep: python3-pydata-sphinx-theme,
    python3-sphinx (>> 3.1)
  * debian patch docs_skip_panels.patch skips use of sphinx-panels in
    docs. Not available yet (RFP#991684).
  * update debian/rules
    - allow for spaces in filenames in override_dh_fixperms-arch.
      sobol_vec.gz is no longer installed.
    - drop special handling for weave. It was removed in scipy 0.15.0.
  * mark python3-scipy as Multi-Arch: no
  * lintian fixes
    - mark scipy/optimize/lbfgsb_src/*.f as License: BSD-generic not BSD
    - packages override bogus-mail-host-in-debian-changelog
      Debian/i386 Build Daemon <buildd_i386-saens>
    - source override obsolete-url-in-packaging debian/copyright
      https://code.google.com/archive/p/ampgo
  * remove deprecated debian/README.source

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Jul 2021 01:40:57 +0200

scipy (1.6.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - fixes matrix dtypes. Closes: #983404.
    - introduces upper-versioned Build-Depends: cython3 (<< 3.0),
       python3-pybind11 (<< 2.7),
       python3-wheel (<< 0.37.0)
       (leave python3-setuptools uncapped)
    - also Build-Depends: python3-all-dev (>= 3.7)
  * Stop ignoring build-time errors in debian/rules. Closes: #967977.

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Mar 2021 19:21:49 +0100

scipy (1.6.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Depends: python3-numpy (>= 1:1.16.5)

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Feb 2021 20:46:00 +0100
