=== debian/changelog ===
scipy (1.8.0-1exp2ubuntu1) jammy; urgency=medium

  * Ignore distutils deprecation warnings in doc build

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2022 17:45:01 +0000

scipy (1.8.0-1exp2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:53:26 +0000

scipy (1.8.0-1exp2) experimental; urgency=medium

  * build scipy with pythran support where available [amd64 arm64 m68k]
    Depends: python3-pythran [amd64 arm64 m68k]
    Closes: #991753.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Feb 2022 01:41:52 +0100

scipy (1.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * update debian/copyright: vendored libraries SuperLU and arpack
    used by sparse/linalg are now treated as private via an
    _underscore prefix (_dsolve, _eigen)

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 22:05:09 +0100

scipy (1.7.3-2) unstable; urgency=medium

  * Team upload.
  * debian patch hppa-boost-long-double-config.patch disables
    LONG_DOUBLE in the boost submodule on hppa. Adapted from the boost
    patch hppa-long-double-config.patch.
    See https://github.com/scipy/scipy/issues/15260
    for discussion of why boost has been vendored for scipy.
    Closes: #1004197.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 12:11:29 +0100

scipy (1.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends-Indep: python3-sphinx-panels
    Drop debian patch docs_skip_panels.patch. Closes: #991752.
  * remove upper bound on python3-pybind11 build-dependency. It's not
    used upstream in dev code, gets applied only to release versions
    to make local pip virtualenv installations use known-good versions.
    Closes: #1002065.
  * remove upper bound in Build-Depends: python3-numpy, python3-wheel
  * raise versioned Build-Depends python3-numpy (>= 1.21.4) for
    python3.10 support.
  * don't compress woff font files. Apply the same
    override_dh_compress used for numpy.  Closes: #1003282.
  * add a source lintian override for fortran-si4-11x1x10.dat
    (source-contains-prebuilt-windows-binary). It's a test data
    file, not a DOS executable.
  * Standards-Version: 4.6.0
  * update debian/copyright
    - remove deprecated files debian/patches/css_font_OpenSans.patch,
      doc/scipy-sphinx-theme/*, scipy/_lib/six.py
    - acknowledge Jonathan Neal's code snippet "font-family: no-parens"
      from https://codepen.io/jonneal/pen/bXLEdB (MIT licence)
      in doc/source/_static/scipy.css
    - scipy/fft/_pocketfft/ licence applies to all _pocketfft not only
      pocketfft.cxx
    - scipy/_lib/uarray/ renamed to _uarray

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jan 2022 14:11:52 +0100

scipy (1.7.1-2) unstable; urgency=medium

  * Drop -dbg package; Closes: #994375

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Nov 2021 23:57:11 -0500
