=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
                libsuitesparse-dev (>= 3.1.0-3),
                python3-all-dev (>= 3.7),
                python3-decorator,
-               python3-numpy (>= 1:1.16.5), python3-numpy (<< 1:1.23.0),
-               python3-pybind11 (>= 2.4.3), python3-pybind11 (<< 2.8),
+               python3-numpy (>= 1:1.21.4),
+               python3-pybind11 (>= 2.4.3),
                python3-pytest,
                python3-setuptools,
-               python3-wheel (<< 0.37.0)
+               python3-wheel,
+               python3-pythran [amd64 arm64 m68k]
 Build-Depends-Indep: dvipng,
                      python3-doc,
                      python3-docutils,
@@ -28,11 +29,12 @@
                      python3-numpydoc,
                      python3-pydata-sphinx-theme,
                      python3-sphinx (>> 3.1),
+                     python3-sphinx-panels,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.scipy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy
@@ -42,6 +44,7 @@
 Multi-Arch: no
 Depends: python3-decorator,
          python3-numpy (>= 1:1.16.5),
+         python3-pythran [amd64 arm64 m68k],
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
