=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/scipy/scipy/releases (?:.*?/)?scipy-v?(\d[\d.]*)\.tar\.xz
