## scipy 1.8.1

=== debian/changelog ===
scipy (1.8.1-19) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix flapack (Closes: #1027460)
  * Add upstream patch for numpy 1.24
  * Use dh-sequence-*

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Jan 2023 11:32:39 +0100

scipy (1.8.1-18) unstable; urgency=medium

  * Team upload.
  * Skip one more failing test on ppc64el

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2022 09:33:52 +0100

scipy (1.8.1-17) unstable; urgency=medium

  * Team upload.
  * Ignore some test in autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Dec 2022 12:03:29 +0100

scipy (1.8.1-16) unstable; urgency=medium

  * Team upload.
  * Ignore some failing unit tests on some archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Dec 2022 23:53:47 +0100

scipy (1.8.1-15) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with new numpy (deprecated numpy.distutils)
    (Closes: #1026210, #1026342, #1026516)
  * Add workaround for FTBFS with new sphinx
  * Ignore test failure on armel (Closes: #1025699)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Dec 2022 19:47:35 +0100

scipy (1.8.1-14) unstable; urgency=medium

  * Team upload.
  * debian/tests: skip all test_complex* tests on i386 with blis
  * once again drop pythran support on armhf.
    Still causes many packages to fail tests even after revised
    version of PR16646 (possibly due to memory exhaustion?)

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Sep 2022 16:01:54 +0200

scipy (1.8.1-13) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - armel: test_random_exact in linalg/tests/test_basic.py (segfaults)
  * update debian patch pythran_type_PR16646.patch to latest PR16646

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Sep 2022 09:53:04 +0200

scipy (1.8.1-12) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - armel: linalg/tests/test_decomp.py (started segfaulting)
    - hppa: test_nodata test_cont_basic[500-200-semicircular-arg89]
    - riscv64: test_vector test_iterative_refinements_dense (segfaults)
  * skip more tests in debian/test
    - i386 with blis: test_complex_dotc (segfaults)
    - armhf with openblas: test_solver_selection
    - ppc64el with atlas: sparse test_svd_v0, test_svd_random_state{_2}
  * update debian patch pythran_type_PR16646.patch to latest PR16646
    - reinstate TestMLS tests
    - reinstate pythran on armhf to test if PR16646 now fixes problems
    - Closes: #1017862

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Aug 2022 20:12:18 +0200

scipy (1.8.1-11) unstable; urgency=medium

  * Team upload.
  * skip more tests in debian/tests
    - arm64: test_atol[cgs] with blis
    - armel: skip linalg test_aligned_mem in test_decomp.py
    - armhf with openblas: some optimize tests in TestRRSVD, TestDogbox
    - i386 with blis: test_complex_dotu
    - ppc64el: test_svds_parameter_tol, test_bug_6139 (with atlas)
    - s390x with atlas: test_bug_6139, test_solver_select
    - riscv64: avoid failures and segfaults
  * skip tests failing on powerpc in stats/tests/test_stats.py:
    overflow encountered in _hypergeom_*. Skip test_hypergeom_cdf,
    test_hypergeom_sf, test_nch_hypergeom, test_precision,
    test_precise, test_less_greater
  * debian/tests: restrict openblas tests to supported architectures
    only (i.e. not armel)

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Aug 2022 00:29:59 +0200

scipy (1.8.1-10) unstable; urgency=medium

  * Team upload.
  * skip TestSmirnovp (test_kolmogorov) also on hurd-i386
  * skip test_first_step and test_classes on mips64el
    (integrate/_ivp/tests/test_ivp.py)
    See https://github.com/scipy/scipy/issues/16883
  * skip test_large_rank_deficient on armhf with blis. Segfaults in
    test_lsq_linear.py::TestBVLS
  * once again drop pythran support on armhf.
    It does work successfully, but shifts numerical results enough to
    break tests on a dozen packages (astropy, pandas, pyfai, skimage etc)

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Aug 2022 11:43:19 +0200

scipy (1.8.1-9) unstable; urgency=medium

  * Team upload.
  * drop asyncio_mode=auto from debian patch manage_tests.patch.
    Only relevant when python3-pytest-asyncio is installed
    (causes errors if not installed, but scipy doesn't need it)
  * use runtests.py to manage build-time tests
  * skip failing tests
    - signal TestMLS fails due to broken pythran support on 32 bit
      arches. See Bug#1017862.
    - special test_kolmogorov.py (TestSmirnovp) segfaults on i386.
      Closes: Bug#1017864.
    - stats test_cont_basic[500-200-ncf-arg74] fails with
      IntegrationWarning. See upstream Issue 14519
  * update debian/watch (uscan) for latest github format

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Aug 2022 17:24:17 +0200

scipy (1.8.1-8) unstable; urgency=medium

  * Team upload.
  * overhaul debian/tests to run debci tests using upstream's
    runtests.py. Previous approach was overcomplicated and unable to
    skip test_hermitian_modes for blis on i386. Keep specific skips for
    BLAS tests but drop general tests previously skipped in order to
    verify if they still need skipping.
  * debian patch pythran_type_PR16646.patch applies upstream PR#16646
    to properly define pythran types for 32 bit arches.
    - reinstate pythran support on armhf
  * fix determination of python3 versions in debian/rules

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Jul 2022 00:20:58 +0200

scipy (1.8.1-7) unstable; urgency=medium

  * Team upload.
  * drop pythran completely from armhf. Still causes errors from built
    components even if pythran is not installed at runtime.
    cf. https://github.com/serge-sans-paille/pythran/issues/2002
  * reorganise test skip list in debian/tests to ensure i386 properly
    skips test_hermitian_modes

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jul 2022 13:36:40 +0200

scipy (1.8.1-6) unstable; urgency=medium

  * Team upload.

