=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: scipy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
 Build-Depends: cython3 (>= 0.29.18), cython3 (<< 3.0),
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                gfortran,
                libblas-dev,
                liblapack-dev,
@@ -21,20 +21,21 @@
                python3-pytest,
                python3-setuptools,
                python3-wheel,
-               python3-pythran [amd64 arm64 m68k]
+               python3-pythran [!armhf]
 Build-Depends-Indep: dvipng,
+                     dh-sequence-sphinxdoc,
                      python3-doc,
                      python3-docutils,
                      python3-matplotlib,
                      python3-numpydoc,
                      python3-pydata-sphinx-theme,
-                     python3-sphinx (>> 3.1),
+                     python3-sphinx,
                      python3-sphinx-panels,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.scipy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy
@@ -43,8 +44,8 @@
 Architecture: any
 Multi-Arch: no
 Depends: python3-decorator,
-         python3-numpy (>= 1:1.16.5),
-         python3-pythran [amd64 arm64 m68k],
+         python3-numpy (>= 1:1.17.3~),
+         python3-pythran [!armhf],
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
