## scipy 1.10.0

=== debian/changelog ===
scipy (1.10.0-8) unstable; urgency=medium

  * Team upload.
  * x32: skip test_integers_nd during build

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 23:07:52 +0100

scipy (1.10.0-7) unstable; urgency=medium

  * Team upload.
  * x32: skip test_perm_discrepancy during build

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 20:55:41 +0100

scipy (1.10.0-6) unstable; urgency=medium

  * Team upload.
  * x32: skip test_flexible_input during build
  * skip failing run-time tests
    - armhf with openblas: test_cdist_dtype_equivalence
    - i386 with blis: test_value_subsets test_bug_6139 test_atol[cgs]
      test_propack test_various_drivers_standard
      test_trsyl test_gelsy test_hetrd test_hegst test_pftri
      test_pptrs_pptri_pptrf_ppsv_ppcon[complex
      test_gees_trsen[complex64] test_gges_tgsen[complex64]
    - riscv64 with atlas: test_bug_6139

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 17:24:21 +0100

scipy (1.10.0-5) unstable; urgency=medium

  * Team upload.
  * skip failing build tests
    - hurd-i386: test_pdf_nolan_samples[pct_range0-alpha_...
    - x32: skip build test test_sign
  * skip failing runtime tests (debian/tests)
    - i386 with blis: test_random_complex_overdet
    - armhf with openblas: test_cholesky
  * reintroduce and update debian patch
    hppa-boost-long-double-config.patch.
    Thanks Mattias Ellert. Closes: #1030947.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Feb 2023 12:08:00 +0100

scipy (1.10.0-4) unstable; urgency=medium

  * Team upload.
  * skip more build-time tests
    - hurd-i386: test_find_peaks_exact test_find_peaks_withnoise
      test_examples[True-float64] test_rv_sample
      test_location_scale[pdf
    - x32: test_basic
  * update debian/tests
    - armhf with openblas: skip test_array_smoothing
    - i386 with blis: skip test_random_complex_exact
  * debian patch fix_cast_PR17726.patch applies upstream PR17726
    to fix 32-bit/64-bit casting. Closes: #1029690.
  * add Breaks: python3-skbio (<< 0.5.8-3~) to aid migration

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Feb 2023 09:49:03 +0100

scipy (1.10.0-3) unstable; urgency=medium

  * Team upload.
  * drop scipy/_lib/boost/ from debian/copyright
    (no longer provided in upstream source)
  * skip build-time tests
    - hurd-i386: test_mip1
    - ia64: test_maxiter_worsening[lgmres]
    - x32: test_input_validation
  * update skips in debian/tests:
    - i386: skip test_simple_overdet_complex with blis
    - armhf: skip test_rosenbrock_with_no_exception
  * update debian patch Use-system-LBFGSB.patch for the new meson build
    Closes: #1030142.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Feb 2023 10:48:29 +0100

scipy (1.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add missing copyright for submodules

  [ Drew Parsons ]
  * update debian/tests
    - i386: fix test skips
    - armel: skip test_brunnermunzel_normal_dist
    - armhf with openblas: skip test_pdist_calling_conventions
      test_pdist_dtype_equivalence test_striding
    - s390x with atlas: skip test_aligned_mem
  * debian patch readonly_interpolate_PR17717.patch applies upstream
    PR17717 to fix interpolate.interpn. Closes: #1029692.
  * drop debian patch fix_numpy1.24_PR17035.patch (applied upstream)

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Jan 2023 10:13:42 +0100

scipy (1.10.0-1exp6) experimental; urgency=medium

  * Team upload.
  * powerpc: skip test_maxiter_worsening[lgmres]
  * mipsel: skip test_integrator test_double_integrator

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jan 2023 11:05:38 +0100

scipy (1.10.0-1exp5) experimental; urgency=medium

  * Team upload.
  * mipsel skip test_fht_special_cases test_integrality (also mips64el)
  * armel skip test_brunnermunzel_normal_dist
  * riscv64 skip test_maxiter_worsening[lgmres]

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Jan 2023 12:37:59 +0100

scipy (1.10.0-1exp4) experimental; urgency=medium

  * Team upload.
  * debian patch fix_highs_atomic_PR17777.patch applies upstream
    PR17777 to fix handling of libatomic (with gcc) in _highs.
    Fixes build for armel, mipsel, powerpc.
  * skip tests on mips64el: test_integrator test_double_integrator

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 23:01:47 +0100

scipy (1.10.0-1exp3) experimental; urgency=medium

  * Team upload.
  * skip more tests:
    - i386: test_examples[True-float64]
      test_pdf_nolan_samples[pct_range0-alpha_range0-beta_range0]
    - ppc64: test_maxiter_worsening

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 12:39:03 +0100

scipy (1.10.0-1exp2) experimental; urgency=medium

  * Team upload.
  * Build-Depends: libblas-dev not libopenblas-dev. Preferred BLAS
    implementation must be installed by the system administrator not
    at build time, and OpenBLAS is not available on all arches.
  * handle failing tests, see https://github.com/scipy/scipy/issues/17839
    - relax more tolerances in debian patch manage_tests.patch to enable
      i386 to pass tests
    - i386: skip test_x0_equals_Mb[bicgstab]
      test_rv_sample test_location_scale[pdf
    - s390x: skip test_atol[bicg]
    - ppc64: skip test_precond_dummy
    - armhf (in debian/tests, build-time tests pass fine)

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 02:41:59 +0100

scipy (1.10.0-1exp1) experimental; urgency=medium

  [ Drew Parsons ]
  * Team upload.
  * New upstream major release.
    - no longer uses local boost source
      (drop debian patch hppa-boost-long-double-config.patch)
    - Build-Depends: meson (>= 0.62.2~)
    - Build-Depends-Indep: python3-sphinx-tabs for docs
    - update versioned Build-Depends: cython3 (>= 0.29.21~),
      python3-pythran (>= 0.9.12~), python3-pythran (<< 0.12)
  * update debian/watch with uversionmangle=s/rc/~rc/ to order
    RC releases below final release versions

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Multi-Arch: foreign

