=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: python3
-Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil
+Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil, python3-pooch
 
 # short test on all python versions including debug
 Tests: python3-smoke
